DS News

DSi update kills flashcard support

Nintendo's war on piracy rages on

Nintendo has continued their war on piracy by disabling support for flashcards on the DSi.

The firmware version 1.4.1 update will disable support for some of the most popular flashcards used by pirates and homebrew coders.

The cards affected are Acekard 2i, DSTTi, iPlayer, M3i Zero, Supercard and DSTwo. EZ-Flash Vi, iSmart DS, and Hyper R4i are not affected this time.

The update will be applied next time players connect their DSi to the internet.

Thanks Tiny Cartridge.

Preview
First Look: Life Is Strange
Dontnod gives us a taste of what to expect from their new episodic series.